Bug 1027668 - Every volume logs "cannot add a new contribution node" every ten minutes
Every volume logs "cannot add a new contribution node" every ten minutes
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.4.1
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: bugs@gluster.org
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-07 04:19 EST by bugzilla.redhat.com
Modified: 2015-10-07 09:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 09:17:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bugzilla.redhat.com 2013-11-07 04:19:42 EST
I just created a few fresh, replicated glusterfs volumes and both servers log this message for every volume, every ten minutes:

[...] W [marker-quota.c:2039:mq_inspect_directory_xattr] 0-stuff-marker: cannot add a new contribution node

All volumes were created with 'gluster volume create stuff replica 2 fs1:/export/stuff fs2:/export/stuff'; data was imported and I then executed 
'gluster volume quota stuff enable  ; gluster volume quota stuff limit-usage 4GB'.

How to debug this?
Comment 1 bugzilla.redhat.com 2013-11-07 04:31:48 EST
Not sure if this is related; one of the 6 volumes also thinks it's over quota while it isn't; another volume seems to work fine but logs:

[2013-11-07 08:50:46.534587] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:00:46.585153] W [marker-quota.c:2039:mq_inspect_directory_xattr] 0-stuff-marker: cannot add a new contribution node
[2013-11-07 09:00:46.585844] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:00:46.588438] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:00:46.590031] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:00:46.593203] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:10:46.657981] W [marker-quota.c:2039:mq_inspect_directory_xattr] 0-stuff-marker: cannot add a new contribution node
[2013-11-07 09:10:46.658625] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:10:46.660543] E [marker-quota-helper.c:229:mq_dict_set_contribution] (-->/usr/lib/glusterfs/3.4.1/xlator/debug/io-stats.so(io_stats_lookup+0x14a) [0x7fdfae6cab9a] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(marker_lookup+0x297) [0x7fdfae8e7237] (-->/usr/lib/glusterfs/3.4.1/xlator/features/marker.so(mq_req_xattr+0x5b) [0x7fdfae8f59bb]))) 0-marker: invalid argument: loc->parent
[2013-11-07 09:20:46.732769] W [marker-quota.c:2039:mq_inspect_directory_xattr] 0-stuff-marker: cannot add a new contribution node

All these volumes were (re)created yesterday with glusterfs-3.4.1
Comment 2 Khoi Mai 2013-11-07 15:54:20 EST
I too am starting to see this more and more after i've upgraded from glusterfs-3.4.1-3 on rhel6.  I have a replicated 2-node setup.  I'm assuming it has to do with something regarding the enablement of 'quotas'.  The actual volume to a client is accessible.
Comment 3 Niels de Vos 2015-05-17 18:00:06 EDT
GlusterFS 3.7.0 has been released (http://www.gluster.org/pipermail/gluster-users/2015-May/021901.html), and the Gluster project maintains N-2 supported releases. The last two releases before 3.7 are still maintained, at the moment these are 3.6 and 3.5.

This bug has been filed against the 3,4 release, and will not get fixed in a 3.4 version any more. Please verify if newer versions are affected with the reported problem. If that is the case, update the bug with a note, and update the version if you can. In case updating the version is not possible, leave a comment in this bug report with the version you tested, and set the "Need additional information the selected bugs from" below the comment box to "bugs@gluster.org".

If there is no response by the end of the month, this bug will get automatically closed.
Comment 4 Kaleb KEITHLEY 2015-10-07 09:17:52 EDT
GlusterFS 3.4.x has reached end-of-life.

If this bug still exists in a later release please reopen this and change the version or open a new bug.

Note You need to log in before you can comment on or make changes to this bug.